hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Doug Cutting (JIRA)" <j...@apache.org>
Subject [jira] Updated: (HADOOP-2325) Require Java 6
Date Fri, 27 Jun 2008 18:23:45 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-2325?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Doug Cutting updated HADOOP-2325:
---------------------------------

    Attachment: HADOOP-2325.patch

Here's a new version of the patch, updated for changes to trunk.  I also fixed things so that
forrest (which requires Java5) will now work only if -Djava5.home is specified, and updated
the test-patch.sh script accordingly.

Nigel, if you can please switch Hudson to:
 - use Java6 for Hadoop core test runs; and
 - specify -Djava5.home=<location of JDK 1.5>

Then I will submit this patch and I think it will pass Hudson's tests and we can commit it
without breaking Hudson.

> Require Java 6
> --------------
>
>                 Key: HADOOP-2325
>                 URL: https://issues.apache.org/jira/browse/HADOOP-2325
>             Project: Hadoop Core
>          Issue Type: Improvement
>          Components: build
>            Reporter: Doug Cutting
>            Assignee: Doug Cutting
>             Fix For: 0.19.0
>
>         Attachments: HADOOP-2325.patch, HADOOP-2325.patch
>
>
> We should require Java 6 for release 0.17.  Java 6 is now available for OS/X.  Hadoop
performs much better on Java 6.  And, finally, there are features of Java 6 (like 'df') that
would be nice to use.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message